// Toggle Theme function
function toggleTheme(set_mode = null) {
    // Set Mode and switch toggle icon
    if (set_mode === 0) {
      document.querySelector("body").classList = ["list"];
      document.querySelector("#darkmodetoggle").style="display:inherit;";
      document.querySelector("#lightmodetoggle").style="display:none;";
    } else {
      document.querySelector("body").classList = ["list dark"];
      document.querySelector("#darkmodetoggle").style="display:none;";
      document.querySelector("#lightmodetoggle").style="display:inherit;";
    }
    // Mark mode in session storage
    sessionStorage.setItem("dark-mode", set_mode);
}
// On Load: set dark mode if necessary
function initialTheme() {
  if (
      // Case 1: Dark Mode is preferred and no cookie is set
      (window.matchMedia('(prefers-color-scheme: dark)').matches &&
      sessionStorage.getItem("dark-mode") === null) ||
      // Case 2: Dark Mode is set via session Storage
      sessionStorage.getItem("dark-mode") == 1
  ) {
      toggleTheme(set_mode = 1);
  } else {
      toggleTheme(set_mode = 0);
  }
}
