<!-- SPDX-License-Identifier: AGPL-3.0-or-later
     SPDX-FileCopyrightText: 2024 JayVii <jayvii[AT]posteo[DOT]de>
-->

<!DOCTYPE html>
<html>

<?php

// Fetch GET and POST arguments
if (is_null($_POST["streams"])) {
  $loading_screen = true;
  if (!is_null($_GET["streams"])) {
    $channels = explode(",", $_GET["streams"]);
  } else {
    $channels = explode(",", $_COOKIE["streams"]);
  }
} else {
  $loading_screen = false;
  $channels = unserialize($_POST["streams"]);
}

// Prepare streams array
$streams = array(
    "stream" => $channels,
    "desc" => array(),
    "game" => array(),
    "status" => array(),
    "time" => array()
);

?>

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Twitch Streams</title>
    <link rel="icon" type="image/png" href="assets/img/twitch.png">
    <link rel="icon" type="image/png" sizes="16x16" href="assets/img/twitch_16.png">
    <link rel="icon" type="image/png" sizes="32x32" href="assets/img/twitch_32.png">
    <link rel="icon" type="image/png" sizes="64x64" href="assets/img/twitch_64.png">
    <link rel="icon" type="image/png" sizes="128x128" href="assets/img/twitch_128.png">
    <link rel="apple-touch-icon" href="assets/img/twitch.png">
    <link rel="stylesheet" type="text/css" href="assets/css/simple.min.css"/>
    <link rel="stylesheet" href="assets/css/loading.css" />
    <link rel="stylesheet" href="assets/css/custom.css" />
    <script async src="assets/js/twitch.js"></script>
    <link crossorigin="use-credentials" rel="manifest" href="manifest.json">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  </head>

  <body>

  <header>
    <h1>Streams</h1>
    <!-- Save Button -->
    <a
      id="savebtn"
      class="button"
      href="#"
      onclick="document.cookie='streams=<?php echo implode(",", $streams["stream"]); ?>;path=/;max-age=31536000;';document.querySelector('#savebtn').style.color='inherit';"
      <?php
        if (implode(",", $streams["stream"]) != $_COOKIE["streams"]) {
           echo "style=color:#db4325";
        }
      ?>
    >
      Save
    </a>
    <!-- Reload Button -->
    <a
      class="button"
      href="<?php echo "/?streams=" . implode(",", $streams["stream"]); ?>"
    >
      Reload
    </a>
    <!-- Live pseudo-button -->
    <a class="button" href="#streams">
      Live: <span id="num_streams">0</span>
    </a>
  </header>

  <!-- Search Bar -->
  <form action="https://www.twitch.tv/search" method="GET" target="_blank" style="width:100%;margin-top:1em;">
      <input id="searchbar" type="text" id="searchInput" name="term" placeholder="Search on twitch.tv">
  </form>

  <div id="streams">

<?php

// Streams or Loading Screen
if (!$loading_screen) {
  // Load Stream Data
  include("lib/load_streams.php");
  // Build HTML from Stream Data
  include("lib/build_html.php");
} else {
  // Load Loading Screen content
  include("lib/loadingscreen.php");
}

?>

  </div>

  </body>

  <!-- Script for counting active streams -->
  <script>
    var num_streams = document.querySelectorAll(".streamlisting").length;
    document.querySelector("#num_streams").innerText = num_streams;
  </script>
  
</html>
