<!-- SPDX-License-Identifier: AGPL-3.0-or-later
     SPDX-FileCopyrightText: 2024 JayVii <jayvii[AT]posteo[DOT]de>
-->

<?php

// Check Online Status of streams
for ($i = 0; $i < sizeof($streams["stream"]); $i++) {

    // Fetch Stream Preview Image
    $img = file_get_contents(
        "https://static-cdn.jtvnw.net/previews-ttv/live_user_" .
        $streams["stream"][$i] .
        "-853x480.jpg"
    );

    // Check Online-Status via HTTP status code
    $http_code = preg_replace(
        '/^.*(\d{3}).*/',
        '\1',
        $http_response_header[0]
    );

    if (!($http_code == "200")) {

        // Stream is not online!
        array_push($streams["status"], 0);
        $desc = "";
        $game = "";

    } else {

        // Stream is online!
        array_push($streams["status"], 1);

        // Fetch HTML
        $html = file_get_contents(
            "https://m.twitch.tv/" . $streams["stream"][$i]
        );
        $html = str_replace(array("\r", "\n"), "", $html);

        // Parse Game Name
        $pattern = '/^.*<p.*?Playing <a.*?>(.*?)<\/a>.*$/';
        $replacement = '\1';
        $game = substr(
            strip_tags(
                preg_replace(
                    $pattern,
                    $replacement,
                    $html
                )
            ),
            0,
            50
        );

        // Parse Stream Description
        $html = preg_replace('/<script.*<\/script>/', '', $html);
        $html = explode(">", $html);
        $desc_raw = implode("", preg_grep('/name="description"/', $html));
        $pattern = '/^.*content="(.*?)".*$/';
        $replacement = '\1';
        $desc = substr(
            strip_tags(
                preg_replace(
                    $pattern,
                    $replacement,
                    $desc_raw
                )
            ),
            0,
            500
        );

    }

    // Fill Streams array
    array_push($streams["desc"], $desc);
    array_push($streams["game"], $game);
    array_push($streams["time"], (time() - $time0));

}

?>
